package com.ippon.osgi.hello;

import java.io.FileWriter;
import java.io.IOException;

import org.springframework.beans.factory.DisposableBean;
import org.springframework.beans.factory.InitializingBean;

public class HelloWorldSingleton implements InitializingBean, DisposableBean {
	
	public HelloWorldSingleton() {
	}

	@Override
	public void afterPropertiesSet() throws Exception {
		myLog("HelloWorldSingleton 1.1 (@"+Integer.toHexString(hashCode())+") says Hello World");
	}

	@Override
	public void destroy() throws Exception {
		myLog("HelloWorldSingleton 1.1 (@"+Integer.toHexString(hashCode())+") destroyed by Spring");		
	}
	
	public static void myLog(String str) {
		FileWriter writer;
		try {
			writer = new FileWriter("Osgi-Demo.log", true);
			writer.write(str+"\n");
			writer.close();
		} catch (IOException e) {
			System.err.println("Error writing log : " + str);
		}
	}
}
