package com.ippon.osgi.hello;

import static com.ippon.osgi.util.LogUtil.myLog;

import org.springframework.beans.factory.DisposableBean;
import org.springframework.beans.factory.InitializingBean;

import com.ippon.osgi.publichello.HelloWorldService;

public class HelloWorldSingleton implements HelloWorldService, InitializingBean, DisposableBean {
	
	public HelloWorldSingleton() {
	}

	@Override
	public String saysHello(String from, String to) {
		String helloWorldStr = from+" says Hello to "+to + "!";
		myLog("[HelloWorldSingleton 2 (@" + Integer.toHexString(hashCode()) + ")] : " + helloWorldStr);
		
		return helloWorldStr;
	}
	
	@Override
	public void afterPropertiesSet() throws Exception {
		myLog("HelloWorldSingleton 2 (@"+Integer.toHexString(hashCode())+") initialized by Spring");
	}

	@Override
	public void destroy() throws Exception {
		myLog("HelloWorldSingleton 2 (@"+Integer.toHexString(hashCode())+") destroyed by Spring");		
	}

	
}
